## badger 0.0.2

=== DESCRIPTION ===
Package: badger
Title: Badge for R Package
Version: 0.0.2
Authors@R: person("Guangchuang", "Yu", email = "guangchuangyu@gmail.com", role = c("aut", "cre"))
Description: Query information and generate badge for using in README
    and GitHub Pages.
Depends: R (>= 3.3.0)
Imports: dlstats, rvcheck
License: Artistic-2.0
ByteCompile: true
URL: https://github.com/GuangchuangYu/badger
BugReports: https://github.com/GuangchuangYu/badger/issues
Encoding: UTF-8
LazyData: true
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2017-03-08 10:11:03 UTC; guangchuangyu
Author: Guangchuang Yu [aut, cre]
Maintainer: Guangchuang Yu <guangchuangyu@gmail.com>
Repository: CRAN
Date/Publication: 2017-03-08 16:37:23

## badger 0.0.4

=== DESCRIPTION ===
Package: badger
Title: Badge for R Package
Version: 0.0.4
Authors@R: c(
  	person("Guangchuang", "Yu",   email = "guangchuangyu@gmail.com",    role = c("aut", "cre"), comment = c(ORCID = "0000-0002-6485-8781")),
  	person("Gregor", "de Cillia", email = "de.cillia.gregor@gmail.com", role = "ctb")
	)
Description: Query information and generate badge for using in README
    and GitHub Pages.
Depends: R (>= 3.3.0)
Imports: dlstats, rvcheck
License: Artistic-2.0
ByteCompile: true
URL: https://github.com/GuangchuangYu/badger
BugReports: https://github.com/GuangchuangYu/badger/issues
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.1.1
NeedsCompilation: no
Packaged: 2019-01-08 03:25:05 UTC; YGC
Author: Guangchuang Yu [aut, cre] (<https://orcid.org/0000-0002-6485-8781>),
  Gregor de Cillia [ctb]
Maintainer: Guangchuang Yu <guangchuangyu@gmail.com>
Repository: CRAN
Date/Publication: 2019-01-08 05:30:09 UTC

## badger 0.0.6

=== DESCRIPTION ===
Package: badger
Title: Badge for R Package
Version: 0.0.6
Authors@R: c(
        person("Guangchuang", "Yu",    email = "guangchuangyu@gmail.com",    role = c("aut", "cre"), comment = c(ORCID = "0000-0002-6485-8781")),
        person("Gregor", "de Cillia",  email = "de.cillia.gregor@gmail.com", role = "ctb"),
        person("Dirk", "Eddelbuettel", email = "edd@debian.org",             role = "ctb"),
        person("Maëlle", "Salmon",                                           role = "ctb"),
        person("Robrecht", "Cannoodt", email = "rcannood@gmail.com",         role = "ctb", comment = c(ORCID = "0000-0003-3641-729X", github = "rcannood"))
    )
Description: Query information and generate badge for using in README
    and GitHub Pages.
Depends: R (>= 3.3.0)
Imports: dlstats, rvcheck, desc
License: Artistic-2.0
ByteCompile: true
URL: https://github.com/GuangchuangYu/badger
BugReports: https://github.com/GuangchuangYu/badger/issues
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.1.1
NeedsCompilation: no
Packaged: 2019-10-05 10:45:05 UTC; ygc
Author: Guangchuang Yu [aut, cre] (<https://orcid.org/0000-0002-6485-8781>),
  Gregor de Cillia [ctb],
  Dirk Eddelbuettel [ctb],
  Maëlle Salmon [ctb],
  Robrecht Cannoodt [ctb] (<https://orcid.org/0000-0003-3641-729X>,
    rcannood)
Maintainer: Guangchuang Yu <guangchuangyu@gmail.com>
Repository: CRAN
Date/Publication: 2019-10-05 12:10:02 UTC

## badger 0.0.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: badger
 Title: Badge for R Package
-Version: 0.0.6
+Version: 0.0.7
 Authors@R: c(
         person("Guangchuang", "Yu",    email = "guangchuangyu@gmail.com",    role = c("aut", "cre"), comment = c(ORCID = "0000-0002-6485-8781")),
         person("Gregor", "de Cillia",  email = "de.cillia.gregor@gmail.com", role = "ctb"),
@@ -8,8 +8,7 @@
         person("Maëlle", "Salmon",                                           role = "ctb"),
         person("Robrecht", "Cannoodt", email = "rcannood@gmail.com",         role = "ctb", comment = c(ORCID = "0000-0003-3641-729X", github = "rcannood"))
     )
-Description: Query information and generate badge for using in README
-    and GitHub Pages.
+Description: Query information and generate badge for using in README and GitHub Pages.
 Depends: R (>= 3.3.0)
 Imports: dlstats, rvcheck, desc
 License: Artistic-2.0
@@ -20,7 +19,7 @@
 LazyData: true
 RoxygenNote: 6.1.1
 NeedsCompilation: no
-Packaged: 2019-10-05 10:45:05 UTC; ygc
+Packaged: 2019-11-14 04:33:40 UTC; ygc
 Author: Guangchuang Yu [aut, cre] (<https://orcid.org/0000-0002-6485-8781>),
   Gregor de Cillia [ctb],
   Dirk Eddelbuettel [ctb],
@@ -29,4 +28,4 @@
     rcannood)
 Maintainer: Guangchuang Yu <guangchuangyu@gmail.com>
 Repository: CRAN
-Date/Publication: 2019-10-05 12:10:02 UTC
+Date/Publication: 2019-11-15 11:10:10 UTC

## badger 0.0.8

=== DESCRIPTION ===
Package: badger
Title: Badge for R Package
Version: 0.0.8
Authors@R: c(
        person("Guangchuang", "Yu",          email = "guangchuangyu@gmail.com",    role = c("aut", "cre"), comment = c(ORCID = "0000-0002-6485-8781")),
        person("Gregor", "de Cillia",        email = "de.cillia.gregor@gmail.com", role = "ctb"),
        person("Dirk", "Eddelbuettel",       email = "edd@debian.org",             role = "ctb"),
        person("Maëlle", "Salmon",                                                 role = "ctb"),
        person("Robrecht", "Cannoodt",       email = "rcannood@gmail.com",         role = "ctb", comment = c(ORCID = "0000-0003-3641-729X", github = "rcannood")),
        person("Alexander", "Rossell Hayes", email = "alexander@rossellhayes.com", role = "ctb", comment = c(ORCID = "0000-0001-9412-0457", github = "rossellhayes"))
    )
Description: Query information and generate badge for using in README and GitHub Pages.
Depends: R (>= 3.3.0)
Imports: dlstats, rvcheck, desc
License: Artistic-2.0
ByteCompile: true
URL: https://github.com/GuangchuangYu/badger
BugReports: https://github.com/GuangchuangYu/badger/issues
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2020-07-28 09:24:32 UTC; ygc
Author: Guangchuang Yu [aut, cre] (<https://orcid.org/0000-0002-6485-8781>),
  Gregor de Cillia [ctb],
  Dirk Eddelbuettel [ctb],
  Maëlle Salmon [ctb],
  Robrecht Cannoodt [ctb] (<https://orcid.org/0000-0003-3641-729X>,
    rcannood),
  Alexander Rossell Hayes [ctb] (<https://orcid.org/0000-0001-9412-0457>,
    rossellhayes)
Maintainer: Guangchuang Yu <guangchuangyu@gmail.com>
Repository: CRAN
Date/Publication: 2020-07-28 09:50:03 UTC

## badger 0.0.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: badger
 Title: Badge for R Package
-Version: 0.0.8
+Version: 0.0.9
 Authors@R: c(
         person("Guangchuang", "Yu",          email = "guangchuangyu@gmail.com",    role = c("aut", "cre"), comment = c(ORCID = "0000-0002-6485-8781")),
         person("Gregor", "de Cillia",        email = "de.cillia.gregor@gmail.com", role = "ctb"),
@@ -20,7 +20,7 @@
 LazyData: true
 RoxygenNote: 7.1.1
 NeedsCompilation: no
-Packaged: 2020-07-28 09:24:32 UTC; ygc
+Packaged: 2020-12-05 04:13:25 UTC; ygc
 Author: Guangchuang Yu [aut, cre] (<https://orcid.org/0000-0002-6485-8781>),
   Gregor de Cillia [ctb],
   Dirk Eddelbuettel [ctb],
@@ -31,4 +31,4 @@
     rossellhayes)
 Maintainer: Guangchuang Yu <guangchuangyu@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-07-28 09:50:03 UTC
+Date/Publication: 2020-12-05 05:40:19 UTC

## badger 0.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: badger
 Title: Badge for R Package
-Version: 0.0.9
+Version: 0.1.0
 Authors@R: c(
         person("Guangchuang", "Yu",          email = "guangchuangyu@gmail.com",    role = c("aut", "cre"), comment = c(ORCID = "0000-0002-6485-8781")),
         person("Gregor", "de Cillia",        email = "de.cillia.gregor@gmail.com", role = "ctb"),
@@ -11,16 +11,15 @@
     )
 Description: Query information and generate badge for using in README and GitHub Pages.
 Depends: R (>= 3.3.0)
-Imports: dlstats, rvcheck, desc
+Imports: dlstats, rvcheck, desc, usethis (>= 2.0.0)
 License: Artistic-2.0
 ByteCompile: true
 URL: https://github.com/GuangchuangYu/badger
 BugReports: https://github.com/GuangchuangYu/badger/issues
 Encoding: UTF-8
-LazyData: true
 RoxygenNote: 7.1.1
 NeedsCompilation: no
-Packaged: 2020-12-05 04:13:25 UTC; ygc
+Packaged: 2021-04-21 03:05:51 UTC; ygc
 Author: Guangchuang Yu [aut, cre] (<https://orcid.org/0000-0002-6485-8781>),
   Gregor de Cillia [ctb],
   Dirk Eddelbuettel [ctb],
@@ -31,4 +30,4 @@
     rossellhayes)
 Maintainer: Guangchuang Yu <guangchuangyu@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-12-05 05:40:19 UTC
+Date/Publication: 2021-04-21 06:40:10 UTC

## badger 0.2.0

=== DESCRIPTION ===
Package: badger
Title: Badge for R Package
Version: 0.2.0
Authors@R: c(
        person("Guangchuang", "Yu",          email = "guangchuangyu@gmail.com",    role = c("aut", "cre"), comment = c(ORCID = "0000-0002-6485-8781")),
        person("Gregor", "de Cillia",        email = "de.cillia.gregor@gmail.com", role = "ctb"),
        person("Dirk", "Eddelbuettel",       email = "edd@debian.org",             role = "ctb"),
        person("Maëlle", "Salmon",                                                 role = "ctb"),
        person("Robrecht", "Cannoodt",       email = "rcannood@gmail.com",         role = "ctb", comment = c(ORCID = "0000-0003-3641-729X", github = "rcannood")),
        person("Alexander", "Rossell Hayes", email = "alexander@rossellhayes.com", role = "ctb", comment = c(ORCID = "0000-0001-9412-0457", github = "rossellhayes")),
        person("Waldir", "Leoncio",          email = "w.l.netto@medisin.uio.no",   role = "ctb")
    )
Description: Query information and generate badge for using in README and GitHub Pages.
Depends: R (>= 3.3.0)
Imports: dlstats, rvcheck, desc, usethis (>= 2.0.0)
Suggests: testthat (>= 2.0.0)
License: Artistic-2.0
ByteCompile: true
URL: https://github.com/GuangchuangYu/badger
BugReports: https://github.com/GuangchuangYu/badger/issues
Encoding: UTF-8
RoxygenNote: 7.1.2
NeedsCompilation: no
Packaged: 2022-03-28 07:05:56 UTC; ygc
Author: Guangchuang Yu [aut, cre] (<https://orcid.org/0000-0002-6485-8781>),
  Gregor de Cillia [ctb],
  Dirk Eddelbuettel [ctb],
  Maëlle Salmon [ctb],
  Robrecht Cannoodt [ctb] (<https://orcid.org/0000-0003-3641-729X>,
    rcannood),
  Alexander Rossell Hayes [ctb] (<https://orcid.org/0000-0001-9412-0457>,
    rossellhayes),
  Waldir Leoncio [ctb]
Maintainer: Guangchuang Yu <guangchuangyu@gmail.com>
Repository: CRAN
Date/Publication: 2022-03-28 07:30:08 UTC

## badger 0.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: badger
 Title: Badge for R Package
-Version: 0.2.0
+Version: 0.2.1
 Authors@R: c(
         person("Guangchuang", "Yu",          email = "guangchuangyu@gmail.com",    role = c("aut", "cre"), comment = c(ORCID = "0000-0002-6485-8781")),
         person("Gregor", "de Cillia",        email = "de.cillia.gregor@gmail.com", role = "ctb"),
@@ -21,7 +21,7 @@
 Encoding: UTF-8
 RoxygenNote: 7.1.2
 NeedsCompilation: no
-Packaged: 2022-03-28 07:05:56 UTC; ygc
+Packaged: 2022-05-30 03:12:47 UTC; ygc
 Author: Guangchuang Yu [aut, cre] (<https://orcid.org/0000-0002-6485-8781>),
   Gregor de Cillia [ctb],
   Dirk Eddelbuettel [ctb],
@@ -33,4 +33,4 @@
   Waldir Leoncio [ctb]
 Maintainer: Guangchuang Yu <guangchuangyu@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-03-28 07:30:08 UTC
+Date/Publication: 2022-05-31 16:10:06 UTC

## badger 0.2.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: badger
 Title: Badge for R Package
-Version: 0.2.1
+Version: 0.2.2
 Authors@R: c(
         person("Guangchuang", "Yu",          email = "guangchuangyu@gmail.com",    role = c("aut", "cre"), comment = c(ORCID = "0000-0002-6485-8781")),
         person("Gregor", "de Cillia",        email = "de.cillia.gregor@gmail.com", role = "ctb"),
@@ -19,9 +19,9 @@
 URL: https://github.com/GuangchuangYu/badger
 BugReports: https://github.com/GuangchuangYu/badger/issues
 Encoding: UTF-8
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.1
 NeedsCompilation: no
-Packaged: 2022-05-30 03:12:47 UTC; ygc
+Packaged: 2022-11-05 01:03:30 UTC; ygc
 Author: Guangchuang Yu [aut, cre] (<https://orcid.org/0000-0002-6485-8781>),
   Gregor de Cillia [ctb],
   Dirk Eddelbuettel [ctb],
@@ -33,4 +33,4 @@
   Waldir Leoncio [ctb]
 Maintainer: Guangchuang Yu <guangchuangyu@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-05-31 16:10:06 UTC
+Date/Publication: 2022-11-05 08:20:08 UTC

## badger 0.2.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: badger
 Title: Badge for R Package
-Version: 0.2.2
+Version: 0.2.3
 Authors@R: c(
         person("Guangchuang", "Yu",          email = "guangchuangyu@gmail.com",    role = c("aut", "cre"), comment = c(ORCID = "0000-0002-6485-8781")),
         person("Gregor", "de Cillia",        email = "de.cillia.gregor@gmail.com", role = "ctb"),
@@ -19,9 +19,9 @@
 URL: https://github.com/GuangchuangYu/badger
 BugReports: https://github.com/GuangchuangYu/badger/issues
 Encoding: UTF-8
-RoxygenNote: 7.2.1
+RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2022-11-05 01:03:30 UTC; ygc
+Packaged: 2023-01-28 06:37:28 UTC; ygc
 Author: Guangchuang Yu [aut, cre] (<https://orcid.org/0000-0002-6485-8781>),
   Gregor de Cillia [ctb],
   Dirk Eddelbuettel [ctb],
@@ -33,4 +33,4 @@
   Waldir Leoncio [ctb]
 Maintainer: Guangchuang Yu <guangchuangyu@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-11-05 08:20:08 UTC
+Date/Publication: 2023-01-28 13:40:10 UTC

## badger 0.2.4

=== DESCRIPTION ===
Package: badger
Title: Badge for R Package
Version: 0.2.4
Authors@R: c(
        person("Guangchuang", "Yu",          email = "guangchuangyu@gmail.com",    role = c("aut", "cre"), comment = c(ORCID = "0000-0002-6485-8781")),
        person("Gregor", "de Cillia",        email = "de.cillia.gregor@gmail.com", role = "ctb"),
        person("Dirk", "Eddelbuettel",       email = "edd@debian.org",             role = "ctb"),
        person("Maëlle", "Salmon",                                                 role = "ctb"),
        person("Robrecht", "Cannoodt",       email = "rcannood@gmail.com",         role = "ctb", comment = c(ORCID = "0000-0003-3641-729X", github = "rcannood")),
        person("Alexander", "Rossell Hayes", email = "alexander@rossellhayes.com", role = "ctb", comment = c(ORCID = "0000-0001-9412-0457", github = "rossellhayes")),
        person("Waldir", "Leoncio",          email = "w.l.netto@medisin.uio.no",   role = "ctb"),
        person("Matthew", "Schuelke",        email = "matt@themadstatter.com",     role = "ctb", comment = c(ORCID = "0000-0001-5755-1725", github = "the-mad-statter"))
    )
Description: Query information and generate badge for using in README and GitHub Pages.
Depends: R (>= 3.3.0)
Imports: dlstats, rvcheck, desc, usethis (>= 2.0.0)
Suggests: testthat (>= 2.0.0)
License: Artistic-2.0
ByteCompile: true
URL: https://github.com/GuangchuangYu/badger
BugReports: https://github.com/GuangchuangYu/badger/issues
Encoding: UTF-8
RoxygenNote: 7.3.1
NeedsCompilation: no
Packaged: 2024-06-08 09:49:58 UTC; HUAWEI
Author: Guangchuang Yu [aut, cre] (<https://orcid.org/0000-0002-6485-8781>),
  Gregor de Cillia [ctb],
  Dirk Eddelbuettel [ctb],
  Maëlle Salmon [ctb],
  Robrecht Cannoodt [ctb] (<https://orcid.org/0000-0003-3641-729X>,
    rcannood),
  Alexander Rossell Hayes [ctb] (<https://orcid.org/0000-0001-9412-0457>,
    rossellhayes),
  Waldir Leoncio [ctb],
  Matthew Schuelke [ctb] (<https://orcid.org/0000-0001-5755-1725>,
    the-mad-statter)
Maintainer: Guangchuang Yu <guangchuangyu@gmail.com>
Repository: CRAN
Date/Publication: 2024-06-08 10:20:02 UTC

## badger 0.2.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: badger
 Title: Badge for R Package
-Version: 0.2.4
+Version: 0.2.5
 Authors@R: c(
         person("Guangchuang", "Yu",          email = "guangchuangyu@gmail.com",    role = c("aut", "cre"), comment = c(ORCID = "0000-0002-6485-8781")),
         person("Gregor", "de Cillia",        email = "de.cillia.gregor@gmail.com", role = "ctb"),
@@ -20,20 +20,21 @@
 URL: https://github.com/GuangchuangYu/badger
 BugReports: https://github.com/GuangchuangYu/badger/issues
 Encoding: UTF-8
-RoxygenNote: 7.3.1
+RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2024-06-08 09:49:58 UTC; HUAWEI
-Author: Guangchuang Yu [aut, cre] (<https://orcid.org/0000-0002-6485-8781>),
+Packaged: 2025-07-31 17:50:40 UTC; HUAWEI
+Author: Guangchuang Yu [aut, cre] (ORCID:
+    <https://orcid.org/0000-0002-6485-8781>),
   Gregor de Cillia [ctb],
   Dirk Eddelbuettel [ctb],
   Maëlle Salmon [ctb],
-  Robrecht Cannoodt [ctb] (<https://orcid.org/0000-0003-3641-729X>,
-    rcannood),
-  Alexander Rossell Hayes [ctb] (<https://orcid.org/0000-0001-9412-0457>,
-    rossellhayes),
+  Robrecht Cannoodt [ctb] (ORCID:
+    <https://orcid.org/0000-0003-3641-729X>, github: rcannood),
+  Alexander Rossell Hayes [ctb] (ORCID:
+    <https://orcid.org/0000-0001-9412-0457>, github: rossellhayes),
   Waldir Leoncio [ctb],
-  Matthew Schuelke [ctb] (<https://orcid.org/0000-0001-5755-1725>,
-    the-mad-statter)
+  Matthew Schuelke [ctb] (ORCID: <https://orcid.org/0000-0001-5755-1725>,
+    github: the-mad-statter)
 Maintainer: Guangchuang Yu <guangchuangyu@gmail.com>
 Repository: CRAN
-Date/Publication: 2024-06-08 10:20:02 UTC
+Date/Publication: 2025-07-31 18:32:03 UTC

## badger 2.0.1

=== debian/changelog ===
badger (2.0.1-3) unstable; urgency=medium

  * Add d/p/fix-TestPagebufferReader2.patch
    - fixes flaky test when hitting max random number, see
      https://github.com/dgraph-io/badger/issues/1197
  * Add debian/patches/fix-32bit.patch
    - Fix a number of assumptions that aren't true on 32bit
      systems causing multiple testsuite failure, see:
      https://github.com/dgraph-io/badger/issues/1182

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 03 Feb 2020 17:05:09 +0100

badger (2.0.1-2) unstable; urgency=medium

  * Cherry-pick another 32bit build fix patch from upstream

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 21 Jan 2020 23:57:31 +0100

badger (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1
    - includes fix for build on 32bit archs.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 20 Jan 2020 18:29:54 +0100

badger (2.0.0-3) unstable; urgency=medium

  * No-change source-only upload to allow testing migration.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 20 Jan 2020 16:32:30 +0100

badger (2.0.0-2) unstable; urgency=medium

  * debian/copyright: Minor improvement to copyright holder

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 01 Jan 2020 12:56:48 +0100

badger (2.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #945079)

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 14 Nov 2019 12:43:07 +0100

=== debian/control ===
Source: badger
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-cespare-xxhash-dev,
               golang-github-datadog-zstd-dev,
               golang-github-dgraph-io-ristretto-dev,
               golang-github-dgryski-go-farm-dev,
               golang-github-dustin-go-humanize-dev,
               golang-github-pkg-errors-dev,
               golang-github-spf13-cobra-dev,
               golang-github-stretchr-testify-dev (>= 1.4.0),
               golang-golang-x-net-dev,
               golang-golang-x-sys-dev,
               golang-goprotobuf-dev,
               golang-snappy-go-dev
Standards-Version: 4.2.1
Homepage: https://github.com/dgraph-io/badger
Vcs-Browser: https://salsa.debian.org/go-team/packages/badger
Vcs-Git: https://salsa.debian.org/go-team/packages/badger.git
XS-Go-Import-Path: github.com/dgraph-io/badger
Testsuite: autopkgtest-pkg-go

Package: badger
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Fast key-value DB in Go.
 BadgerDB is an embeddable, persistent and fast key-value (KV)
 database written in pure Go. It is the underlying database for Dgraph
 (https://dgraph.io), a fast, distributed graph database. It's meant
 to be a performant alternative to non-Go-based key-value stores like
 RocksDB.  Project Status [Jun 26, 2019] Badger is stable and is being
 used to serve data sets worth hundreds of terabytes. Badger supports
 concurrent ACID transactions with serializable snapshot isolation
 (SSI) guarantees. A Jepsen-style bank test runs nightly for 8h, with
 --race flag and ensures the maintenance of transactional guarantees.
 Badger has also been tested to work with filesystem level anomalies,
 to ensure persistence and consistency.
 .
 Badger v1.0 was released in Nov 2017, and the latest version that is
 data-compatible with v1.0 is v1.6.0.
 .
 Badger v2.0, use a new storage format which won't be compatible with all of
 the v1.x.

Package: golang-github-dgraph-io-badger-dev
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Fast key-value DB in Go - development files for embedding.
 BadgerDB is an embeddable, persistent and fast key-value (KV)
 database written in pure Go. It is the underlying database for Dgraph
 (https://dgraph.io), a fast, distributed graph database. It's meant
 to be a performant alternative to non-Go-based key-value stores like
 RocksDB.  Project Status [Jun 26, 2019] Badger is stable and is being
 used to serve data sets worth hundreds of terabytes. Badger supports
 concurrent ACID transactions with serializable snapshot isolation
 (SSI) guarantees. A Jepsen-style bank test runs nightly for 8h, with
 --race flag and ensures the maintenance of transactional guarantees.
 Badger has also been tested to work with filesystem level anomalies,
 to ensure persistence and consistency.
 .
 Badger v1.0 was released in Nov 2017, and the latest version that is
 data-compatible with v1.0 is v1.6.0.
 .
 Badger v2.0, use a new storage format which won't be compatible with all of
 the v1.x.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/badger-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/dgraph-io/badger/tags .*/v?(\d\S*)\.tar\.gz

## badger 2.0.3

=== debian/changelog ===
badger (2.0.3-1) unstable; urgency=medium

  * New upstream version 2.0.3

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 24 Apr 2020 10:47:46 +0200

badger (2.0.2-1) unstable; urgency=medium

  * New upstream version 2.0.2
  * Revert "Cherry-pick upstream fix for ristretto 0.0.2 api change"
    - originally from upstream, now part of release.
  * Revert "Cherry-pick another 32bit build fix patch from upstream"
    - originally from upstream, now part of release.
  * Revert "Add d/p/fix-TestPagebufferReader2.patch"
   - fixed upstream
  * Revert "Add debian/patches/fix-32bit.patch"
   - fixed upstream

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 07 Mar 2020 19:24:31 +0100

badger (2.0.1-4) unstable; urgency=medium

  * Cherry-pick upstream fix for ristretto 0.0.2 api change
  * Bump ristretto build-dep to >= 0.0.2

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 01 Mar 2020 23:54:53 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                golang-any,
                golang-github-cespare-xxhash-dev,
                golang-github-datadog-zstd-dev,
-               golang-github-dgraph-io-ristretto-dev,
+               golang-github-dgraph-io-ristretto-dev (>= 0.0.2),
                golang-github-dgryski-go-farm-dev,
                golang-github-dustin-go-humanize-dev,
                golang-github-pkg-errors-dev,

## badger 2.2007.2

=== debian/changelog ===
badger (2.2007.2-3ubuntu0.22.04.1) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update. Note that this package
    was built with golang-1.17.

 -- Allen Huang <allen.huang@canonical.com>  Mon, 18 Nov 2024 15:32:15 +0000

badger (2.2007.2-3) unstable; urgency=medium

  * Team Upload.
  * d/p/fix-int-overflow.patch: Fix int overflow in 32 bit arches
  * d/rules: Allow test failures on 32 bit architectures

 -- Nilesh Patra <nilesh@debian.org>  Thu, 30 Sep 2021 13:01:02 +0530

badger (2.2007.2-2) unstable; urgency=medium

  * Dev package is now arch: all.
  * Dev pacakge: fix duplicate-long-description.
  * Set Rules-Requires-Root: no.

 -- Alexandre Viau <aviau@debian.org>  Thu, 17 Sep 2020 09:53:03 -0400

badger (2.2007.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Wed, 16 Sep 2020 19:50:18 -0400

badger (2.0.3-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Andreas Henriksson ]
  * debian/watch: mangle v20.07.0 releases to be v2.x

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 16 Sep 2020 10:03:51 +0200

badger (2.0.3-2) unstable; urgency=medium

  * Team upload.
  * Add golang build dependencies to the dev package. (Closes: #969292)

 -- Alexandre Viau <aviau@debian.org>  Sun, 30 Aug 2020 16:34:11 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: badger
 Section: devel
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-golang,
                golang-any,
                golang-github-cespare-xxhash-dev,
@@ -24,6 +25,7 @@
 Vcs-Git: https://salsa.debian.org/go-team/packages/badger.git
 XS-Go-Import-Path: github.com/dgraph-io/badger
 Testsuite: autopkgtest-pkg-go
+Rules-Requires-Root: no
 
 Package: badger
 Architecture: any
@@ -50,10 +52,21 @@
  the v1.x.
 
 Package: golang-github-dgraph-io-badger-dev
-Architecture: any
-Built-Using: ${misc:Built-Using}
+Architecture: all
 Depends: ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         golang-github-cespare-xxhash-dev,
+         golang-github-datadog-zstd-dev,
+         golang-github-dgraph-io-ristretto-dev (>= 0.0.2),
+         golang-github-dgryski-go-farm-dev,
+         golang-github-dustin-go-humanize-dev,
+         golang-github-pkg-errors-dev,
+         golang-github-spf13-cobra-dev,
+         golang-github-stretchr-testify-dev (>= 1.4.0),
+         golang-golang-x-net-dev,
+         golang-golang-x-sys-dev,
+         golang-goprotobuf-dev,
+         golang-snappy-go-dev,
 Description: Fast key-value DB in Go - development files for embedding.
  BadgerDB is an embeddable, persistent and fast key-value (KV)
  database written in pure Go. It is the underlying database for Dgraph
@@ -72,3 +85,5 @@
  .
  Badger v2.0, use a new storage format which won't be compatible with all of
  the v1.x.
+ .
+ This package contains the Go library.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := github.com/dgraph-io/badger$
export DH_GOLANG_EXCLUDES_ALL := 0

%:
	dh $@ --buildsystem=golang --with=golang

ifeq ($(DEB_HOST_ARCH_BITS),32)
override_dh_auto_test:
	-dh_auto_test
endif

override_dh_auto_install:
	dh_auto_install
	# Badger Integration test for value log GC.
	-rm -f debian/tmp/usr/bin/testgc

## badger 4.8.0

=== Makefile ===
#
# SPDX-FileCopyrightText: © Hypermode Inc. <hello@hypermode.com>
# SPDX-License-Identifier: Apache-2.0
#

USER_ID      = $(shell id -u)
HAS_JEMALLOC = $(shell test -f /usr/local/lib/libjemalloc.a && echo "jemalloc")
JEMALLOC_URL = "https://github.com/jemalloc/jemalloc/releases/download/5.3.0/jemalloc-5.3.0.tar.bz2"


.PHONY: all badger test jemalloc dependency

badger: jemalloc
	@echo "Compiling Badger binary..."
	@$(MAKE) -C badger badger
	@echo "Badger binary located in badger directory."

test: jemalloc
	@echo "Running Badger tests..."
	@./test.sh

jemalloc:
	@if [ -z "$(HAS_JEMALLOC)" ] ; then \
		mkdir -p /tmp/jemalloc-temp && cd /tmp/jemalloc-temp ; \
		echo "Downloading jemalloc..." ; \
		curl -s -L ${JEMALLOC_URL} -o jemalloc.tar.bz2 ; \
		tar xjf ./jemalloc.tar.bz2 ; \
		cd jemalloc-5.3.0 ; \
		./configure --with-jemalloc-prefix='je_' --with-malloc-conf='background_thread:true,metadata_thp:auto'; \
		make ; \
		if [ "$(USER_ID)" -eq "0" ]; then \
			make install ; \
		else \
			echo "==== Need sudo access to install jemalloc" ; \
			sudo make install ; \
		fi \
	fi

dependency:
	@echo "Installing dependencies..."
	@sudo apt-get update
	@sudo apt-get -y install \
    	ca-certificates \
    	curl \
    	gnupg \
    	lsb-release \
    	build-essential \
    	protobuf-compiler \

=== badger/Makefile ===
#
# SPDX-FileCopyrightText: © Hypermode Inc. <hello@hypermode.com>
# SPDX-License-Identifier: Apache-2.0
#

GOOS          ?= $(shell go env GOOS)
GOARCH        ?= $(shell go env GOARCH)

.PHONY: badger

all: badger

badger: 
# 	build badger binary
	@go build --tags=jemalloc -o badger-$(GOOS)-$(GOARCH) .

=== debian/changelog ===
badger (4.8.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Drop Rules-Requires-Root: no.
  * Use watch v5.
  * Modernize salsa wrt e.g. lrc.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 02 Oct 2025 00:35:37 +0200

badger (4.8.0-1) experimental; urgency=medium

  * Team upload.
  * Drop unused Files-Excluded: in d/copyright.
  * New upstream version 4.8.0
  * Rewrite d/copyright for new release.
  * Run wrap-and-sort -a.
  * Add d/salsa-ci.yml.
  * Use dh-sequence-golang.
  * Use execute_after instead of override.
  * Add new otel build deps.
  * Standards-Version: 4.7.2.
  * Add Static-Built-Using on badger.
  * Improve Description: (synopsis-is-a-sentence).

 -- Simon Josefsson <simon@josefsson.org>  Wed, 20 Aug 2025 17:18:17 +0200

badger (4.5.0-1) experimental; urgency=medium

  * New upstream release 4.3.1.
  * Update build-dependencies required by new upstream release.
  * Add patches for offline pb/gen.sh and protos_test.go
  * New upstream release 4.5.0
  * Bump ristretto build-dep to >= 2.0
  * Refresh debian/patches to apply
  * Drop gogoprotobuf build-deps
  * Add build-deps needed by pb/protos_test.go
  * Add patch to disable TestProtosRegenerate
  * Update dev package dependencies

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 17 Dec 2024 18:33:40 +0100

badger (2.2007.2-4) unstable; urgency=medium

  * Team upload

  [ Aloïs Micard ]
  * update debian/gitlab-ci.yml (using pkg-go-tools/ci-config)

  [ Mathias Gibbens ]
  * d/control:
    - Update Section to golang
    - Update Standards-Version to 4.7.0 (no changes needed)
    - Bump debhelper-compat to v13
    - Update Build-Depends and Depends from golang-goprotobuf-dev to
      golang-github-golang-protobuf-1-5-dev

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 02 Aug 2024 01:33:23 +0000

=== debian/control ===
--- 
+++ 
@@ -1,38 +1,46 @@
 Source: badger
-Section: devel
+Section: golang
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>
-Build-Depends: debhelper-compat (= 12),
-               dh-golang,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-golang,
+               flatbuffers-compiler,
                golang-any,
                golang-github-cespare-xxhash-dev,
                golang-github-datadog-zstd-dev,
-               golang-github-dgraph-io-ristretto-dev (>= 0.0.2),
+               golang-github-dgraph-io-ristretto-dev (>= 2.0),
                golang-github-dgryski-go-farm-dev,
                golang-github-dustin-go-humanize-dev,
+               golang-github-gogo-protobuf-dev,
+               golang-github-golang-protobuf-1-5-dev,
+               golang-github-google-flatbuffers-dev,
+               golang-github-klauspost-compress-dev,
                golang-github-pkg-errors-dev,
                golang-github-spf13-cobra-dev,
                golang-github-stretchr-testify-dev (>= 1.4.0),
+               golang-go.opencensus-dev,
                golang-golang-x-net-dev,
                golang-golang-x-sys-dev,
-               golang-goprotobuf-dev,
-               golang-snappy-go-dev
-Standards-Version: 4.2.1
+               golang-opentelemetry-contrib-dev,
+               golang-opentelemetry-otel-dev,
+               golang-snappy-go-dev,
+               protobuf-compiler,
+               protoc-gen-go
+Standards-Version: 4.7.2
 Homepage: https://github.com/dgraph-io/badger
 Vcs-Browser: https://salsa.debian.org/go-team/packages/badger
 Vcs-Git: https://salsa.debian.org/go-team/packages/badger.git
 XS-Go-Import-Path: github.com/dgraph-io/badger
 Testsuite: autopkgtest-pkg-go
-Rules-Requires-Root: no
 
 Package: badger
 Architecture: any
 Built-Using: ${misc:Built-Using}
+Static-Built-Using: ${misc:Static-Built-Using}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Description: Fast key-value DB in Go.
+Description: fast key-value DB in Go - command-line tools
  BadgerDB is an embeddable, persistent and fast key-value (KV)
  database written in pure Go. It is the underlying database for Dgraph
  (https://dgraph.io), a fast, distributed graph database. It's meant
@@ -53,21 +61,26 @@
 
 Package: golang-github-dgraph-io-badger-dev
 Architecture: all
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         golang-github-cespare-xxhash-dev,
+Depends: golang-github-cespare-xxhash-dev,
          golang-github-datadog-zstd-dev,
-         golang-github-dgraph-io-ristretto-dev (>= 0.0.2),
+         golang-github-dgraph-io-ristretto-dev (>= 2.0),
          golang-github-dgryski-go-farm-dev,
          golang-github-dustin-go-humanize-dev,
+         golang-github-golang-protobuf-1-5-dev,
+         golang-github-google-flatbuffers-dev,
+         golang-github-klauspost-compress-dev,
          golang-github-pkg-errors-dev,
          golang-github-spf13-cobra-dev,
          golang-github-stretchr-testify-dev (>= 1.4.0),
+         golang-go.opencensus-dev,
          golang-golang-x-net-dev,
          golang-golang-x-sys-dev,
-         golang-goprotobuf-dev,
+         golang-opentelemetry-contrib-dev,
+         golang-opentelemetry-otel-dev,
          golang-snappy-go-dev,
-Description: Fast key-value DB in Go - development files for embedding.
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: fast key-value DB in Go - development files for embedding
  BadgerDB is an embeddable, persistent and fast key-value (KV)
  database written in pure Go. It is the underlying database for Dgraph
  (https://dgraph.io), a fast, distributed graph database. It's meant

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := github.com/dgraph-io/badger$
export DH_GOLANG_EXCLUDES_ALL := 0
export DH_GOLANG_INSTALL_EXTRA := fb/gen.sh pb/gen.sh

%:
	dh $@ --builddirectory=_build --buildsystem=golang

ifeq ($(DEB_HOST_ARCH_BITS),32)
override_dh_auto_test:
	-dh_auto_test
endif

ifneq (,$(filter $(DEB_TARGET_ARCH), ppc64el))
ifeq (,$(filter $(DEB_BUILD_OPTIONS), nocheck))
execute_after_dh_auto_test:
	# intermittent test failure? Failing explicitly. See #1078496
	echo "Test failure on ppc64el, see https://bugs.debian.org/1078496"
	exit 1
endif
endif

execute_after_dh_auto_install:
	# Badger Integration test for value log GC.
	-rm -fv debian/tmp/usr/bin/testgc

=== debian/watch ===
Version: 5
Template: Github
Owner: dgraph-io
Project: badger
Uversionmangle: s/(20.07.0.*)/2.\$1/;s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/

## badger batcher-0.4.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = badger_batcher
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
